Paquet Debian pour Duniter

Le paquet Debian pour Duniter est disponible ici, ainsi que sa documentation complète. N’hésitez pas à ouvrir un ticket directement sur GitLab en cas de problème.

4 Likes

Pour info, il y a toujours une collision avec le paquet duniter v1 (cf [sondage] Gestion des exécutables et des paquets v2)

$ sudo dpkg -i duniter_0.8.0-1_amd64.deb 
[sudo] Mot de passe de hugo : 
Désolé, essayez de nouveau.
[sudo] Mot de passe de hugo : 
dpkg: avertissement: dégradation (« downgrade ») de duniter depuis 1.8.7 vers 0.8.0-1
(Lecture de la base de données... 70932 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de duniter_0.8.0-1_amd64.deb ...
Dépaquetage de duniter (0.8.0-1) sur (1.8.7) ...
dpkg: avertissement: impossible de supprimer l'ancien répertoire  « /opt » : Le dossier n'est pas vide
Paramétrage de duniter (0.8.0-1) ...
duniter-mirror.service is a disabled or a static unit not running, not starting it.
duniter-smith.service is a disabled or a static unit not running, not starting it.

Donc faites attention si vous essayez de l’installer sur une machine qui fait déjà tourner duniter v1, cela remplacera le paquet.

D’ailleurs, on devrait mettre --rpc-external pour le nœud miroir.

1 Like